Subject: RE: [mobile-ip] Comments on Draft 16

From: "Mohan Parthasarathy" <[email-masked]>
Date: Thu, 28 Mar 2002 09:41:47 -0800

> 
> 
> > Or if the binding cache entry is removed/expired, a 
> replayed binding 
> > update will be accepted (assuming nonces are still valid). I am not 
> > sure how bad is this. But requiring the implementors to 
> store it in NV 
> > might be a overkill because you have to store one per MN 
> plus the home
> > address and how do you know when to ever remove them from NV ?
> 
> Mohan,
> 
> The issue with non-volatile memory for the sequence number is 
> just an issue for the HA. BUs sent to CNs rely on fresh 
> cookies to prevent replays combined with using the sequence 
> number when the CN already has a BCE. This requires some case 
> (not well-specified in -16) on how to deleted BCEs at a CN - 
> essentially it needs to keep a tombstone BCE around 
> until the cookies used to create it are so old they would be rejected.
> 
Ok. I see that BU3WAY draft seems to explain this in a bit more detail.

> Since we're not using RR cookies for the home registration (for better
> performance) and allow IPsec with static keys (which can't 
> provide IPsec replay protection) it seems like we need the 
> sequence numbers to provide strong replay protection for home 
> registrations.
> 
I don't think I have spent enough time reading the latest (146 pages ?)
MIPv6 draft I guess :-) So, for the HA case, as there are no cookies
we need to store it in NV for preventing replay attacks. I am not able
to see how you can ever remove this entry from NV. As soon as you remove
it,
a old binding update can be replayed and will be accepted I guess.

-mohan

>   Erik

---

From: Erik Nordmark <[email-masked]>
Date: Thu, 28 Mar 2002 19:10:09 +0100 (CET)

> a old binding update can be replayed and will be accepted I guess.

Yes, but a home agent also need to permanently retain information about
the MNs it is serving such as
	home address		manual IPsec key	# if manual keys
	home address		certficate		# if IKE is used
[IKE could presumably use pre-shared keys etc. as well.]

The only additional requirement due to the sequence number is that
it will change as bindings are processed.

  Erik